Support » Plugin: Error Log Monitor » Freemius clogging logs

  • Cheers,
    the freemius component currently produces errors. Culprit is start.php, lines 173, 178 and 266. I hotfixed this for the time being by prefixing those lines with @s.

    Just wanted to let you know 🙂

    Best regards
    Floutsch

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Janis Elsts

    (@whiteshadow)

    Thank you for the report. Could you post the actual errors? Maybe I could forward them to Freemius and get them fixed.

    If the error messages contain sensitive data or you don’t want to post them publicly for some other reason, you can send me an email: whiteshadow@w-shadow.com

    No worries about doing this public, so:

    Notice: Undefined index: nextgen-gallery/freemius in /www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/start.php on line 266

    Notice: Trying to get property of non-object in /www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/start.php on line 178

    Notice: Undefined index: nextgen-gallery/freemius in /www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/start.php on line 173

    Thanks for looking into this and/or forwarding the report! 🙂

    Maybe it’s because I had tested out NextGen Gallery but since removed it. This plugin is not installed anymore. Not just deactivated, actuylly deleted 🙂

    Plugin Author Janis Elsts

    (@whiteshadow)

    It sounds like maybe the Freemius SDK didn’t properly clean up after itself when NextGen Gallery was uninstalled. Let’s see if updating to the latest version of the SDK will help. Please try this version:
    https://downloads.wordpress.org/plugin/error-log-monitor.zip

    Hm… Couldn’t activate it:

    Warning: require_once(/www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/includes/supplements/fs-essential-functions-2.2.1.php): failed to open stream: No such file or directory in /www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/includes/fs-essential-functions.php on line 39

    There is no fs-essential-functions-2.2.1.php but a fs-essential-functions-1.1.7.1.php

    Have tried to fix this q’n’d by either renaming the file or changing the require_once, but there are more includes, so that didn’t work 🙂

    Plugin Author Janis Elsts

    (@whiteshadow)

    Oops, it looks like I forgot to add some of the new Freemius files to the repository. I’ve done that now. Please try again.

    First of all: This one worked. Thank you! 🙂
    Secondly: I don’t intend to make you cater to my requests, but I got different errors in the logs now. If those help you, feel free. But it’s totally fine if you tell me to just wait for a regular update 😉

    That being said, that’s new:

    Fatal error: Cannot redeclare fs_find_direct_caller_plugin_file() (previously declared in /www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/includes/supplements/fs-essential-functions-2.2.1.php:23) in /www/htdocs/w011d718/wordpress/floutsch/wp-content/plugins/error-log-monitor/freemius/includes/supplements/fs-essential-functions-1.1.7.1.php on line 43

    Seems like this was an issue from before this version. Just checked, doesn’t seem to resurface now.

    • This reply was modified 6 months, 2 weeks ago by  motivmedia.
    • This reply was modified 6 months, 2 weeks ago by  motivmedia.
    • This reply was modified 6 months, 2 weeks ago by  motivmedia.
    Plugin Author Janis Elsts

    (@whiteshadow)

    All right, so it sounds like the issue has been resolved. If you see any new Freemius-related errors, please let me know.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Freemius clogging logs’ is closed to new replies.